﻿using Abp.AutoMapper;
using Abp.Modules;
using Abp.Reflection.Extensions;
using BCS.BMC.Authorization;

namespace BCS.BMC
{
    [DependsOn(
        typeof(BMCCoreModule), 
        typeof(AbpAutoMapperModule))]
    public class BMCApplicationModule : AbpModule
    {
        public override void PreInitialize()
        {
            Configuration.Authorization.Providers.Add<BMCAuthorizationProvider>();
        }

        public override void Initialize()
        {
            var thisAssembly = typeof(BMCApplicationModule).GetAssembly();

            IocManager.RegisterAssemblyByConvention(thisAssembly);

            Configuration.Modules.AbpAutoMapper().Configurators.Add(
                // Scan the assembly for classes which inherit from AutoMapper.Profile
                cfg => cfg.AddMaps(thisAssembly)
            );
        }
    }
}
