﻿using Abp.Application.Services.Dto;
using Abp.AspNetCore.Mvc.Authorization;
using BCS.BMC.Authorization;
using BCS.BMC.ClientMasters;
using BCS.BMC.ClientMasters.Dto;
using BCS.BMC.CompanyMasters;
using BCS.BMC.Controllers;
using BCS.BMC.Roles;
using BCS.BMC.Roles.Dto;
using Microsoft.AspNetCore.Mvc;
using System.Threading.Tasks;

namespace BCS.BMC.Web.Controllers
{
    [AbpMvcAuthorize(PermissionNames.Pages_CompanyMaster)]
    public class CompanyMasterController : BMCControllerBase
    {
        private readonly ICompanyMasterAppService _companyasterService;

        public CompanyMasterController(ICompanyMasterAppService companyasterService)
        {
            _companyasterService = companyasterService;
        }

        public async Task<ActionResult> Index()
        {
            return View();
        }
        public async Task<PartialViewResult> CreateOrEditModal(int? id)
        {
            var output = new GetCompanyMasterForEditOutput();

            //ViewBag.IsEdit = false;

                //ViewBag.IsEdit = true;
                output = await _companyasterService.GetCompanyById(new EntityDto { Id = id.Value });

            return PartialView("_EditModal", output);
        }
     }
}
